Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.io
Class LogRecord

    java.lang.Object
      |
      +--org.apache.java.io.LogRecord

public class LogRecord
extends java.lang.Object

Class to store the logging information until it gets processed by the logger thread.

Possible enhancements:

- Name of the thread which issued the log message.
- Name of the object on whose behalf the message was issued.

Version:
  $Revision: 1.6 $ $Date: 1999/04/26 00:33:54 $

Field Summary
`java.lang.String` | `channel` Log channel.
`long` | `date` Creation time.
`java.lang.String` | `message` Message to log, if any.
`java.lang.Throwable` | `t` Exception to log, if any.

Constructor Summary
`LogRecord(java.lang.String channel, java.lang.String message, java.lang.Throwable t)` Constructor.

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### date

    public long date

  Creation time.

### channel

    public java.lang.String channel

  Log channel. To be used in the log filters.

### message

    public java.lang.String message

  Message to log, if any.

### t

    public java.lang.Throwable t

  Exception to log, if any.

Constructor Detail

### LogRecord

    public LogRecord(java.lang.String channel,
                     java.lang.String message,
                     java.lang.Throwable t)

  Constructor. Performs inexpensive operations:
  - Records the system time;
  - Stores the message channel;
  - Stores the message itself, if any;
  - Stores the exception, if any.
  Parameters:
    `t` - Owner thread
    `target` - Owner object
    `ll` - Log Level
    `message` - Message to log
  See Also:
    `LogWriter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD